package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.ConsultoresDatosReparto;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless
public class ConsultoresDatosRepartoDao extends AbstractFacade<ConsultoresDatosReparto> implements ConsultoresDatosRepartoDaoLocal {

    @PersistenceContext(unitName = "wcosmodasPersistent")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ConsultoresDatosRepartoDao() {
        super(ConsultoresDatosReparto.class);
    }

    @Override
    public ConsultoresDatosReparto obtenerDatoReparto(String consultorCodigo) {

        ConsultoresDatosReparto rs = new ConsultoresDatosReparto();

        StringBuilder query = new StringBuilder("Call consultor_dato_reparto(?)");

        Query q = em.createNativeQuery(query.toString(), ConsultoresDatosReparto.class);
        q.setParameter(1, consultorCodigo);

        rs = (ConsultoresDatosReparto) q.getResultList().get(0);

        return rs;
    }


}
